<?php

use App\Models\Setting;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->string('lang')->default('en');
            $table->string('title')->index()->nullable();
            $table->mediumText('value')->nullable();
            $table->tinyInteger('status')->default(1)->comment('0 inactive, 1 active');
            $table->timestamps();
        });

        $now  = now();
        $data = [
            [
                'title'      => 'system_name',
                'value'      => '"Faculty - Learning Management System"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'company_name',
                'value'      => '"SpaGreen Creative"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'default_language',
                'value'      => '"en"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'default_currency',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'default_country',
                'value'      => '"19"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'phone_country_id',
                'value'      => '"19"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'disable_preloader',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'api_url',
                'value'      => '"https://spagreen.net/api"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'android_current_version_code',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'android_current_version_name',
                'value'      => '"V1.0.0"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'android_app_url',
                'value'      => '"https://play.google.com/store/apps/details?id="',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'android_whats_new',
                'value'      => '"Fixes few known bugs."',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'android_skippable',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'ios_current_version_code',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'ios_current_version_name',
                'value'      => '"V1.0.0"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'ios_app_url',
                'value'      => '"https://play.google.com/store/apps/details?id="',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'ios_whats_new',
                'value'      => '"Fixes few known bugs."',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'ios_skippable',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'themes',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'header_font',
                'value'      => '"jost"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'header_font_size',
                'value'      => '"28"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'body_font',
                'value'      => '"poppins"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'body_font_size',
                'value'      => '"14"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'primary_color',
                'value'      => '"#4E9F3D"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'secondary_color',
                'value'      => '"#333333"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'link_color',
                'value'      => '"#4E9F3D"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hover_color',
                'value'      => '"#333333"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'header',
                'value'      => '"header_one"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'footer',
                'value'      => '"footer_one"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_social_links',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'facebook_link',
                'value'      => '"https://www.facebook.com"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'twitter_link',
                'value'      => '"https://www.twitter.com"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'linkedin_link',
                'value'      => '"https://www.linkedin.com"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'instagram_link',
                'value'      => '"https://www.instagram.com"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'youtube_link',
                'value'      => '"https://www.youtube.com"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'newsletter_title',
                'value'      => '"Subscribe Now To Get Special Features!"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_newsletter',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_apps_link',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'apps_link_title',
                'value'      => '"Download App"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'apps_link_description',
                'value'      => '"Download our apps in play store and app store."',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'play_store_link',
                'value'      => '"#"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'app_store_link',
                'value'      => '"#"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'currency_symbol_format',
                'value'      => '"symbol_amount"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'decimal_separator',
                'value'      => '"."',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'no_of_decimals',
                'value'      => '"2"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'live_api_currency',
                'value'      => '"0"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'useful_link_title',
                'value'      => '"Useful Links"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'resource_link_title',
                'value'      => '"Resources"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'quick_link_title',
                'value'      => '"Quick Links"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_copyright',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'copyright_title',
                'value'      => '"Copyright @ 2022 All Rights Reserved to SpaGreen"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_useful_link',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_quick_link',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_resource_link',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'show_default_courses_link',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_subtitle',
                'value'      => '"#1 Platform for Online Learning"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_title',
                'value'      => '"Find the best online courses & grow up your skills."',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_description',
                'value'      => '"Explore new skills beyond the world of knowledge and get lost in freedom of creativity."',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_main_action_btn_label',
                'value'      => '"Browse All Course"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_secondary_action_btn_label',
                'value'      => '"Get Started"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_main_action_btn_enable',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_secondary_action_btn_enable',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_main_action_btn_url',
                'value'      => '"/courses"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'secondary_btn_url',
                'value'      => '"#"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'topbar_phone',
                'value'      => '"+088343947469"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'topbar_email',
                'value'      => '"admin@spagreen.net"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'hero_rating_overview',
                'value'      => '"1200+ student new enroll"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'header2_hero_title1',
                'value'      => '"Lilian"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'header2_hero_title2',
                'value'      => '"Sophia"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'header2_hero_title3',
                'value'      => '"Parker"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'version_code',
                'value'      => '"1.0.0"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'current_version',
                'value'      => '"100"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],

            [
                'title'      => 'course_view_percent',
                'value'      => '"70"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'paginate',
                'value'      => '"10"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'system_commission',
                'value'      => '"20"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'theme_color',
                'value'      => '"default"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'coupon_system',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'disable_email_confirmation',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'disable_otp_verification',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'wallet_system',
                'value'      => '"1"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
            [
                'title'      => 'header_menu',
                'value'      => '"a:4:{i:0;a:3:{s:5:\"label\";s:4:\"Home\";s:3:\"url\";s:1:\"\/\";s:9:\"mega_menu\";s:0:\"\";}i:1;a:3:{s:5:\"label\";s:4:\"Blog\";s:3:\"url\";s:5:\"\/blog\";s:9:\"mega_menu\";s:0:\"\";}i:2;a:3:{s:5:\"label\";s:7:\"Courses\";s:3:\"url\";s:8:\"\/courses\";s:9:\"mega_menu\";s:0:\"\";}i:3;a:3:{s:5:\"label\";s:10:\"Instructor\";s:3:\"url\";s:12:\"\/instructors\";s:9:\"mega_menu\";s:0:\"\";}}"',
                'status'     => 1,
                'lang'       => 'en',
                'created_at' => $now,
                'updated_at' => $now,
            ],
        ];

        Setting::insert($data);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('settings');
    }
};
